---
title: Window.onvrdisplaydeactivate
slug: Web/API/Window/onvrdisplaydeactivate
tags:
  - API
  - Event Handler
  - Experimental
  - Property
  - Reference
  - VR
  - Virtual Reality
  - WebVR
  - Window
  - events
  - onvrdisplaydeactivate
---
<div>{{DefaultAPISidebar("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>onvrdisplaydeactivate</code></strong> property of the {{domxref("Window")}} interface represents an event handler that will run when a display can no longer be presented to (when the {{event("vrdisplaydeactivate")}} event fires), for example if an HMD has gone into standby or sleep mode due to a period of inactivity.</p>

<p>The event object is of type {{domxref("VRDisplayEvent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.onvrdisplaydeactivate = function() { ... };
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">window.onvrdisplaydeactivate = function() {
  info.textContent = 'Display deactivated.';
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-window-onvrdisplaydeactivate', 'onvrdisplaydeactivate')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.onvrdisplaydeactivate")}}</p>
<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
